# BEGIN SourceDeps(oneline):
BuildRequires: perl(Docopt.pm) perl(File/Copy.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name App-ReorderGoProFiles
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Reorder GoPro files
Group: Development/Perl
License: perl
URL: https://github.com/vti/app-reorder-gopro-files

Source0: http://cpan.org.ua/authors/id/V/VT/VTI/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
`reorder-gopro-files' reorders (symlinks, copies or moves) GoPro video files
so it is easier to work with. For example:

    GOPR001.MP4
    GP01001.MP4

is renamed to

    GP001-00.MP4
    GP001-01.MP4

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_privlib/A*

%files scripts
%_bindir/*
%_man1dir/*

%changelog
* Wed Nov 12 2014 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

